# Tests by default. No tests: rpm -ba --define 'dotests 0' *.spec
%{!?dotests: %define dotests 1}

%define name python3-markupsafe
%define srcname MarkupSafe
%define version 1.1.1
%define release 1

%define is_python %(test -e /usr/bin/python3_32 && echo 1 || echo 0)
%if %{is_python}
%define python_sitelib %(python3_32 -c "from distutils.sysconfig import get_python_lib; print (get_python_lib(1))")
%endif

%define _libdir64 %{_prefix}/lib64

%define is_python_64 %(test -e /usr/bin/python3 && echo 1 || echo 0)
%if %{is_python_64}
%define python_sitelib64 %(python3 -c "from distutils.sysconfig import get_python_lib; print (get_python_lib(1))")
%endif

Summary: Implements a XML/HTML/XHTML Markup safe string for Python
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{srcname}-%{version}.tar.gz
License: BSD
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
Vendor: Armin Ronacher <armin.ronacher@active-4.com>
Url: http://github.com/mitsuhiko/markupsafe

BuildRequires: python, python-devel
Requires: python3

%description
Implements a unicode subclass that supports HTML strings:

%prep
%setup -q -n %{srcname}-%{version}


%build
export OBJECT_MODE=64
python3 setup.py build
if [ "%{dotests}" == 1 ]
then

python3 setup.py test
fi 

%install
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

python3 setup.py install --skip-build --root ${RPM_BUILD_ROOT}


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,system,-)
%doc  LICENSE.rst PKG-INFO README.rst
%{python_sitelib64}/*

%changelog
* Fri Nov 22 2019 Harshita Jain <harjain9@in.ibm.com> - 1.1.1-1
- Update the latest version
- Build with python3


* Tue May 9 2017 Ravi Hirekurabar <rhirekur@in.ibm.com> - 1.0-1
- first version for AIX V6.1 and higher

